## ros-kinetic-flexbe-mirror 1.3.1

=== debian/changelog ===
ros-kinetic-flexbe-mirror (1.3.1-1xenial) xenial; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Thu, 10 Dec 2020 23:00:00 -0000

ros-kinetic-flexbe-mirror (1.3.0-1xenial) xenial; urgency=high

  * Merge remote-tracking branch 'origin/feature/core_rework' into develop
    # Conflicts:
    #     flexbe_core/src/flexbe_core/core/operatable_state_machine.py
    #     flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Add support for python3
  * [flexbe_mirror] Minor cleanup of mirror
  * Major clean-up of most core components
  * Remove smach dependency
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Wed, 18 Nov 2020 23:00:00 -0000

ros-kinetic-flexbe-mirror (1.2.5-1xenial) xenial; urgency=high

  * Merge branch 'develop' into feature/state_logger_rework
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sat, 13 Jun 2020 22:00:00 -0000

ros-kinetic-flexbe-mirror (1.2.4-1xenial) xenial; urgency=high

  * Merge branch 'fmessmer-feature/python3_compatibility' into develop
  * python3 compatibility via 2to3
  * Contributors: Philipp Schillinger, fmessmer

 -- Philipp Schillinger <schillin@kth.se>  Tue, 24 Mar 2020 23:00:00 -0000

ros-kinetic-flexbe-mirror (1.2.3-1xenial) xenial; urgency=high

  * Revise internal dependencies
  * Merge remote-tracking branch 'origin/develop' into feature/test_behaviors
    # Conflicts:
    #     flexbe_testing/bin/testing_node
    #     flexbe_testing/src/flexbe_testing/state_tester.py
  * [flexbe_mirror] Fix mirror sync lock (see FlexBE/flexbe_app#47 <https://github.com/FlexBE/flexbe_app/issues/47>)
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Thu, 09 Jan 2020 23:00:00 -0000

ros-kinetic-flexbe-mirror (1.2.2-1xenial) xenial; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Sun, 15 Sep 2019 22:00:00 -0000

ros-kinetic-flexbe-mirror (1.2.1-1xenial) xenial; urgency=high

  * Merge pull request #72 <https://github.com/team-vigir/flexbe_behavior_engine/issues/72> from mgruhler/fix/filemodes
    fix filemodes: those files should not be executable
  * fix filemodes: those files should not be executable
  * Merge remote-tracking branch 'origin/feature/sub_parameters' into develop
  * Bump required flexbe_app version
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Matthias Gruhler, Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sat, 01 Jun 2019 22:00:00 -0000

ros-kinetic-flexbe-mirror (1.1.2-1xenial) xenial; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Mon, 08 Apr 2019 22:00:00 -0000

ros-kinetic-flexbe-mirror (1.1.1-1xenial) xenial; urgency=high

  * Merge remote-tracking branch 'origin/develop'
  * Merge remote-tracking branch 'origin/master' into develop
  * [flexbe_mirror] Fix race condition in mirror restarts
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Mon, 17 Dec 2018 23:00:00 -0000

ros-kinetic-flexbe-mirror (1.1.0-1xenial) xenial; urgency=high

  * Merge branch 'develop'
  * Merge branch 'feature/flexbe_app' into develop
  * Update maintainer information
  * Merge branch 'develop' into feature/flexbe_app
    Conflicts:
    flexbe_mirror/src/flexbe_mirror/flexbe_mirror.py
    flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
    flexbe_widget/bin/flexbe_app
    flexbe_widget/src/flexbe_widget/behavior_action_server.py
  * Merge remote-tracking branch 'origin/develop'
    Conflicts:
    flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Find behaviors by export tag and execute via checksum
  * Merge branch 'automatic_reload' into develop
  * flexbe mirror: small fix of mission member variable initialization
  * Merge pull request #27 <https://github.com/team-vigir/flexbe_behavior_engine/issues/27> from jgdo/automatic_reload
    fix of behavior_mirror: both switch and requesting the newest sm structure works now
  * fix of behavior_mirror: both switch and requesting the newest sm structure works now
  * Merge pull request #26 <https://github.com/team-vigir/flexbe_behavior_engine/issues/26> from jgdo/automatic_reload
    Automatic reload
  * removed auto-starting behavior after structure callback
  * Merge remote-tracking branch 'origin/master' into develop
  * Merge pull request #10 <https://github.com/team-vigir/flexbe_behavior_engine/issues/10> from team-vigir/cnurobotics
    Fix #11 <https://github.com/team-vigir/flexbe_behavior_engine/issues/11>
  * fix some shutdown issues on ctrl-c
  * Merge branch 'master' into cnurobotics
  * Merge remote-tracking branch 'origin/develop'
  * [flexbe_mirror] Skip synchronization if mirror gets preempted
  * Merge remote-tracking branch 'origin/develop'
  * [flexbe_core] [flexbe_mirror] Improved robustness of fast repeated synchronization
  * [flexbe_mirror] Fixed mirror rate sleep to reduce CPU load
  * Merge remote-tracking branch 'origin/feature/multirobot'
  * Merge remote-tracking branch 'origin/master' into feature/multirobot
    Conflicts:
    flexbe_core/src/flexbe_core/core/monitoring_state.py
    flexbe_core/src/flexbe_core/core/operatable_state.py
  * Changed absolute topic references to relative
  * [flexbe_onboard] [flexbe_mirror] Hide default SMACH transition log spamming
  * Removed some old and unused project files
  * Initial commit of software
  * Contributors: David C. Conner, David Conner, Dorian Scholz, DorianScholz, Mark Prediger, Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Fri, 30 Nov 2018 23:00:00 -0000
