=== debian/control ===
Source: ros-kinetic-flexbe-mirror
Section: misc
Priority: optional
Maintainer: Philipp Schillinger <schillin@kth.se>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/flexbe_mirror
Standards-Version: 3.9.2

Package: ros-kinetic-flexbe-mirror
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-flexbe-core, ros-kinetic-flexbe-msgs, ros-kinetic-rospy
Description: flexbe_mirror implements functionality to remotely mirror an executed behavior.
